%define repo rpmfusion

Name:           buildsys-build-%{repo}
Epoch:          10
Version:        19
Release:        81
Summary:        Tools and files used by the %{repo} buildsys 

Group:          Development/Tools
License:        MIT
URL:            http://rpmfusion.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Source2:        %{name}-list-kernels.sh
Source5:        %{name}-README
Source11:       %{name}-kerneldevpkgs-current

# provide this to avoid a error when generating akmods packages
Provides:       buildsys-build-rpmfusion-kerneldevpkgs-akmod-%{_target_cpu}

# unneeded
%define debug_package %{nil}

%description
This package contains tools and lists of recent kernels that get used when
building kmod-packages.

%package        kerneldevpkgs-current
Summary:        Meta-package to get all current kernel-devel packages into the buildroot
Group:          Development/Tools
Requires:       %{name} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-current-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}
Provides:       %{name}-kerneldevpkgs-newest-%{_target_cpu} = %{?epoch:%{epoch}:}%{version}-%{release}

Requires:       %{_bindir}/kmodtool
BuildRequires:  %{_bindir}/kmodtool

# we use our own magic here to safe ourself to cut'n'paste the BR
%{expand:%(bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}- 2>/dev/null)}

%description kerneldevpkgs-current
This is a meta-package used by the buildsystem to track the kernel-devel
packages for all current up-to-date kernels into the buildroot to build
kmods against them.

%files kerneldevpkgs-current
%defattr(-,root,root,-)
%doc .tmp/current/README

%prep
# for debugging purposes output the stuff we use during the rpm generation
bash %{SOURCE2} --current --requires --prefix %{_sourcedir}/%{name}-
sleep 2


%build
echo nothing to build


%install
rm -rf $RPM_BUILD_ROOT .tmp/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/%{name} $RPM_BUILD_ROOT/%{_bindir} .tmp/newest .tmp/current

# install the stuff we need
install -p -m 0755 %{SOURCE2}  $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs
install -p -m 0644 %{SOURCE5}  .tmp/current/README
ln -s kerneldevpkgs-current $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-newest
install -p -m 0644 %{SOURCE11} $RPM_BUILD_ROOT/%{_datadir}/%{name}/kerneldevpkgs-current


# adjust default-path
sed -i 's|^default_prefix=.*|default_prefix=%{_datadir}/%{name}/|'  \
 $RPM_BUILD_ROOT/%{_bindir}/%{name}-kerneldevpkgs


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_bindir}/*
%{_datadir}/%{name}/



%changelog
* Thu Dec 18 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-81
- rebuild for kernel 3.14.27-100.fc19

* Sat Dec 13 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-80
- rebuild for kernel 3.14.26-100.fc19

* Sun Nov 23 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-79
- rebuild for kernel 3.14.25-100.fc19

* Sun Nov 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-78
- rebuild for kernel 3.14.24-100.fc19

* Fri Oct 31 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-77
- rebuild for kernel 3.14.23-100.fc19

* Sun Oct 19 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-76
- rebuild for kernel 3.14.22-100.fc19

* Thu Oct 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-75
- rebuild for kernel 3.14.22-100.fc20

* Fri Oct 10 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-74
- rebuild for kernel 3.14.21-100.fc19

* Tue Oct 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-73
- rebuild for kernel 3.14.20-100.fc19

* Fri Sep 19 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-72
- rebuild for kernel 3.14.19-100.fc19

* Tue Sep 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-71
- rebuild for kernel 3.14.18-100.fc19

* Wed Sep 10 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-70
- rebuild for kernel 3.14.18-100.fc19

* Fri Aug 15 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-69
- rebuild for kernel 3.14.17-100.fc19

* Wed Aug 13 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-68
- rebuild for kernel 3.14.16-100.fc19

* Fri Aug 01 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-67
- rebuild for kernel 3.14.15-100.fc19

* Fri Jul 18 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-66
- rebuild for kernel 3.14.13-100.fc19

* Thu Jul 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-65
- rebuild for kernel 3.14.11-100.fc19

* Tue Jul 08 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-64
- rebuild for kernel 3.14.11-100.fc19

* Tue Jul 08 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-63
- rebuild for kernel 3.14.9-100.fc19

* Tue Jun 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-62
- rebuild for kernel 3.14.8-100.fc19

* Fri Jun 13 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-61
- rebuild for kernel 3.14.7-100.fc19

* Sun Jun 08 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-60
- rebuild for kernel 3.14.6-100.fc19

* Mon Jun 02 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-59
- rebuild for kernel 3.14.5-100.fc19

* Wed May 14 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-58
- rebuild for kernel 3.14.4-100.fc19

* Fri Apr 25 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-57
- rebuild for kernel 3.13.11-100.fc19

* Wed Apr 23 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-56
- rebuild for kernel 3.13.10-100.fc19

* Wed Apr 16 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-55
- rebuild for kernel 3.13.10-100.fc19

* Fri Apr 04 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-54
- rebuild for kernel 3.13.9-100.fc19

* Wed Apr 02 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-53
- rebuild for kernel 3.13.8-100.fc19

* Tue Mar 25 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-52
- rebuild for kernel 3.13.7-100.fc19

* Sun Mar 09 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-51
- rebuild for kernel 3.13.6-100.fc19

* Tue Mar 04 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-50
- rebuild for kernel 3.13.5-103.fc19

* Tue Feb 25 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-49
- rebuild for kernel 3.13.5-101.fc19

* Mon Feb 24 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-48
- rebuild for kernel 3.13.4-100.fc19

* Thu Feb 20 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-47
- rebuild for kernel 3.13.3-100.fc19

* Thu Feb 20 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-46
- rebuild for kernel 3.13.3-100.fc19

* Sat Feb 15 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-45
- rebuild for kernel 3.12.11-201.fc19

* Fri Feb 14 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-44
- rebuild for kernel 3.12.11-200.fc19

* Fri Feb 07 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-43
- rebuild for kernel 3.12.10-200.fc19

* Thu Jan 30 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-42
- rebuild for kernel 3.12.9-201.fc19

* Tue Jan 28 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-41
- rebuild for kernel 3.12.9-200.fc19

* Fri Jan 17 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-40
- rebuild for kernel 3.12.8-200.fc19

* Sun Jan 12 2014 Nicolas Chauvet <kwizart@gmail.com> - 10:19-39
- rebuild for kernel 3.12.7-200.fc19

* Tue Dec 24 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-38
- rebuild for kernel 3.12.6-200.fc19

* Fri Dec 20 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-37
- rebuild for kernel 3.12.5-200.fc19

* Tue Dec 03 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-36
- rebuild for kernel 3.11.10-200.fc19

* Sat Nov 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-35
- rebuild for kernel 3.11.9-200.fc19

* Sat Nov 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-34_arm
- rebuild for kernel 3.10.10-200.fc19

* Thu Nov 21 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-33
- rebuild for kernel 3.11.9-200.fc19

* Thu Nov 14 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-32
- rebuild for kernel 3.11.8-200.fc19

* Mon Nov 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-31
- rebuild for kernel 3.11.7-200.fc19

* Mon Nov 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-30
- rebuild for kernel 3.11.6-201.fc19

* Tue Oct 22 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-29
- rebuild for kernel 3.11.6-200.fc19

* Mon Oct 14 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-28
- rebuild for kernel 3.11.5-200.fc19

* Fri Oct 11 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-27
- rebuild for kernel 3.11.4-201.fc19

* Fri Oct 04 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-26
- rebuild for kernel 3.11.3-201.fc19

* Mon Sep 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-25
- rebuild for kernel 3.11.2-201.fc19

* Wed Sep 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 10:19-24
- rebuild for kernel 3.11.1-200.fc19

* Wed Sep 25 2013 Leigh Scott <leigh123linux@googlemail.com> - 10:19-23
- rebuild for kernel 3.11.1-200.fc19

* Sat Sep 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 10:19-22
- rebuild for kernel 3.11.1-200.fc19

* Sat Sep 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 10:19-21
- rebuild for kernel 3.11.1-200.fc19

* Sat Sep 21 2013 Leigh Scott <leigh123linux@googlemail.com> - 10:19-20
- rebuilt

* Fri Sep 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-19
- rebuild for kernel 3.10.11-200.fc19

* Fri Aug 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-18
- rebuild for kernel 3.10.10-200.fc19

* Thu Aug 22 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-13
- rebuild for kernel 3.10.9-200.fc19

* Fri Aug 16 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-12
- rebuild for kernel 3.10.7-200.fc19

* Tue Aug 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-11
- rebuild for kernel 3.10.6-200.fc19

* Tue Aug 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-10
- rebuild for kernel 3.10.6-200.fc19

* Thu Aug 08 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-9
- rebuild for kernel 3.10.5-201.fc19

* Tue Jul 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-8
- rebuild for kernel 3.10.4-300.fc19

* Fri Jul 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-7
- rebuild for kernel 3.10.3-300.fc19

* Fri Jul 26 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-6
- rebuild for kernel 3.10.3-300.fc19

* Sat Jul 13 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-5
- rebuild for kernel 3.9.9-302.fc19

* Sat Jul 06 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-4
- rebuild for kernel 3.9.9-301.fc19

* Sun Jun 30 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-3
- rebuild for kernel 3.9.8-300.fc19

* Sat Jun 29 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-2
- rebuild for kernel 3.9.6-301.fc19

* Sat Jun 29 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-1
- Build for F-19 Final 3.9.5-301.fc19 kernel

* Tue Jun 18 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-0.5
- rebuild for kernel 3.9.6-301.fc19

* Mon Jun 17 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-0.3
- rebuild for kernel 3.9.6-300.fc19

* Wed Jun 12 2013 Nicolas Chauvet <kwizart@gmail.com> - 10:19-0.2
- rebuild for kernel 3.9.5-301.fc19

* Fri Sep 07 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:18-0.2
- Bump for secondary

* Mon Apr 16 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:18-0.1
- Build for default F-18 kernels

* Tue Jan 03 2012 Nicolas Chauvet <kwizart@gmail.com> - 10:17-0.1
- Build for default F-17 kernels

* Wed Nov 02 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-5
- rebuild for kernel 3.1.0-7.fc16

* Sun Oct 30 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-4
- rebuild for kernel 3.1.0-5.fc16

* Thu Oct 27 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-2
- rebuild for kernel 3.1.0-1.fc16

* Sat Oct 22 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-1
- rebuild for kernel 3.1.0-0.rc10.git0.1.fc16

* Sat Oct 22 2011 Nicolas Chauvet <kwizart@gmail.com> - 10:16-0
- Introduce F-16

* Sat May 28 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:15-1
- rebuild for kernel 2.6.38.6-26.rc1.fc15

* Thu May 05 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-11
- rebuild for kernel 2.6.35.13-91.fc14

* Sun Apr 24 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-10
- rebuild for kernel 2.6.35.12-90.fc14

* Mon Apr 04 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-9
- rebuild for kernel 2.6.35.12-88.fc14

* Sat Feb 12 2011 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-8
- rebuild for kernel 2.6.35.11-83.fc14

* Fri Dec 24 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-7
- rebuild for kernel 2.6.35.10-74.fc14

* Wed Dec 22 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-6
- rebuild for kernel 2.6.35.10-72.fc14

* Mon Dec 20 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-5
- rebuild for kernel 2.6.35.10-69.fc14

* Fri Dec 17 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-4
- rebuild for kernel 2.6.35.10-68.fc14

* Sun Dec 05 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-3
- rebuild for kernel 2.6.35.9-64.fc14

* Mon Nov 01 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-2
- rebuild for kernel 2.6.35.6-48.fc14

* Fri Oct 29 2010 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:14-1
- rebuild for kernel 2.6.35.6-45.fc14

* Sun Nov 22 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:13-0.1
- no i586 in devel anymore, so adjust ExclusiveArch and 
  buildsys-build-rpmfusion-list-kernels.sh

* Sun Jun 14 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:12-0.1
- rebuild for rawhide

* Fri Jun 05 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.11
- rebuild for kernel 2.6.29.4-167.fc11

* Mon Apr 06 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.10
- use isa to make sure we get the right kernel 

* Sun Mar 29 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.9
- rebuild for new F11 features

* Sun Feb 15 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.8
- adjust for Fedora new kenrels scheme
- use a different way to generate lists

* Sun Jan 11 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.7
- rebuild, and just use the latest as default

* Sun Jan 11 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.6
- rebuild for kernel 2.6.29-0.25.rc0.git14.fc11

* Sun Jan 04 2009 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.5
- rebuild for kernel 2.6.29-0.9.rc0.git4.fc11

* Sun Dec 28 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.4
- rebuild for kernel 2.6.28-3.fc11

* Sun Dec 27 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.3
- just track in the latest kernel

* Sun Dec 21 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.2
- rebuild for kernel 2.6.28-0.140.rc9.git1.fc11

* Sun Dec 14 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:11-0.1
- rebuild for kernel 2.6.28-0.127.rc8.git1.fc11

* Wed Nov 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.11
- rebuild for kernel 2.6.27.5-117.fc10

* Tue Nov 18 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.10
- rebuild for kernel 2.6.27.5-113.fc10

* Fri Nov 14 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.9
- rebuild for kernel 2.6.27.5-109.fc10

* Sun Nov 09 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.8
- rebuild for kernel 2.6.27.4-79.fc10

* Fri Nov 07 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.7
- rebuilt

* Sun Nov 02 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.6
- rebuild for kernel 2.6.27.4-68.fc10

* Sun Oct 26 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 10:10-0.5
- rebuild for kernel 2.6.27.4-47.rc3.fc10

* Sun Oct 19 2008 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info - 10:10-0.4
- rebuild for kernel 2.6.27.3-27.rc1.fc10

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.3
- install filterfile for ppc64

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.2
- don't use the --buildrequires stuff, doesn't work in plague/mock
- provide compatible symlink for "newest"

* Thu Oct 02 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10:10-0.1
- adjust things for rawhide
-- no xen kernels anymore, so no need for the whole newest and current handling
-- just require kernels unversioned if buildsys-build-rpmfusion-kerneldevpkgs
   contains lines with "default"

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-3
- adjust output for new kernel scheme

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-2
- add epoch to provides/requires

* Sun May 04 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:9.0-1
- Build for F9 kernel

* Mon Mar 31 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 2-2
- Update to latest kernels 2.6.24.4-64.fc8 2.6.21.7-3.fc8xen

* Sat Jan 26 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:1-2
- s/akmods/akmod/

* Wed Jan 09 2008 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9:1-3
- Build for rawhide
- disable kerneldevpkgs-newest and kerneldevpkgs-current packages, as we
  don't maintain them for rawhide
- add epoch for new versioning scheme

* Thu Dec 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 22-1
- Update to latest kernels 2.6.21-2952.fc8xen 2.6.23.9-85.fc8

* Thu Dec 20 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 22-1
- Update to latest kernels 2.6.21-2952.fc8xen 2.6.23.9-85.fc8

* Mon Dec 03 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 21-1
- Update to latest kernels 2.6.23.8-63.fc8 2.6.21-2952.fc8xen

* Sat Nov 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 20-1
- Update to latest kernels 2.6.23.1-49.fc8 2.6.21-2950.fc8xen

* Tue Oct 29 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 19-1
- Update to latest kernels 2.6.23.1-41.fc8 2.6.21-2950.fc8xen

* Tue Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 18-1
- Update to latest kernels 2.6.23.1-41.fc8 2.6.21-2950.fc8xen

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-3
- don't include file with know variants and instead properly fix the script

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-2
- include file with know variants as it is needed in buildsys

* Sun Oct 28 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 17-1
- split buildsys stuff out into a seperate package
- rename to buildsys-build-rpmfusion
- add proper obsoletes
- give subpackages and files more sane names and places

* Sat Oct 27 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 16-2
- Update to latest kernels 2.6.23.1-35.fc8 2.6.21-2950.fc8xen

* Sat Oct 27 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 16-1
- Update to latest kernels 2.6.23.1-35.fc8 2.6.21-2949.fc8xen

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 15-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 14-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 13-1
- rebuilt for latest kernels

* Thu Oct 18 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 12-1
- rebuilt for latest kernels

* Fri Oct 12 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 11-1
- rebuilt for latest kernels

* Thu Oct 11 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 10-1
- rebuilt for latest kernels

* Wed Oct 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9-2
- fix typo

* Wed Oct 10 2007 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 9-1
- rebuilt for latest kernels

* Sun Oct 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 8-1
- update for 2.6.23-0.224.rc9.git6.fc8

* Sun Oct 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 7-1
- update for 2.6.23-0.222.rc9.git1.fc8

* Wed Oct 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 6-1
- update for 2.6.23-0.217.rc9.git1.fc8 and 2.6.21-2947.fc8xen

* Wed Oct 03 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 5-1
- disable --all-but-latest stuff -- does not work as expected
- rename up2date list of kernels from "latest" to "current" as latest 
  and newest are to similar in wording; asjust script as well
- kmodtool: don't provide kernel-modules, not needed anymore with
  the new stayle and hurts

* Sun Sep 09 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4-2
- fix typos in spec file and list-kernels script
- interdependencies between the two buildsys-build packages needs to be
  arch specific as well

* Sun Sep 09 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 4-1
- s/latests/latest/
- update kernel lists for rawhide and test2 kernels
- make kmod-helpers-livna-list-kernels print BuildRequires for all kernels
  as well; this is not needed and will slow build a bit as it will track 
  all the kernel-devel packages in, but that way we make sure they are really
  available in the buildsys

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-4
- implement proper arch deps 

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-3
- proper list of todays rawhide-kernels

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-2
- fix typo in kmod-helpers-livna-latests-kernels

* Fri Sep 07 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 3-1
- adjust for devel

* Sat Sep 01 2007 Thorsten Leemhuis <fedora [AT] leemhuis [DOT] info> - 2-1
- initial package
